commit a308afb455d648d54430355cb07345a338501348
Author: Joern Rennecke <joern.rennecke@riscy-ip.com>
Date:   Wed Aug 7 02:48:45 2024 +0100

    Fix vect/pr115278.cc for targets where uint32_t is distinct from unsigned.
    
    gcc/testsuite/
            * g++.dg/vect/pr115278.cc: Make cast's type agree with
            assignment destination WRITE.
    
    (cherry picked from commit b844775283a620b8826adf734ecfc97d820c3611)

diff --git a/gcc/testsuite/g++.dg/vect/pr115278.cc b/gcc/testsuite/g++.dg/vect/pr115278.cc
index 331075fb278..df521e43a97 100644
--- a/gcc/testsuite/g++.dg/vect/pr115278.cc
+++ b/gcc/testsuite/g++.dg/vect/pr115278.cc
@@ -21,7 +21,7 @@ union BitfieldStructUnion {
         BitfieldStructUnion(uint32_t value_low, uint32_t value_high) : value_low(value_low), value_high(value_high) {}
 };
 
-volatile uint32_t *WRITE = (volatile unsigned*)0x42;
+volatile uint32_t *WRITE = (volatile uint32_t *)0x42;
 
 void buggy() {
         for (int i = 0; i < runs; i++) {

